# volume qos

Block Storage v2, v3

## volume qos associate

Associate a QoS specification to a volume type

    openstack volume qos associate <qos-spec> <volume-type>

qos-spec

  QoS specification to modify (name or ID)

volume-type

  Volume type to associate the QoS (name or ID)

## volume qos create

Create new QoS specification

    openstack volume qos create
        [--consumer <consumer>]
        [--property <key=value>]
        <name>

--consumer <consumer>

  Consumer of the QoS. Valid consumers: back-end, both, front-end (defaults to ‘both’)

--property <key=value>

  Set a QoS specification property (repeat option to set multiple properties)

name

  New QoS specification name

## volume qos delete

Delete QoS specification

    openstack volume qos delete [--force] <qos-spec> [<qos-spec> ...]

--force

  Allow to delete in-use QoS specification(s)

qos-spec

  QoS specification(s) to delete (name or ID)

## volume qos disassociate

Disassociate a QoS specification from a volume type

    openstack volume qos disassociate
        [--volume-type <volume-type> | --all]
        <qos-spec>

--volume-type <volume-type>

  Volume type to disassociate the QoS from (name or ID)

--all

  Disassociate the QoS from every volume type

qos-spec

  QoS specification to modify (name or ID)

## volume qos list

List QoS specifications

    openstack volume qos list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

## volume qos set

Set QoS specification properties

    openstack volume qos set
        [--no-property]
        [--property <key=value>]
        <qos-spec>

--no-property

  Remove all properties from <qos-spec> (specify both –no-property and –property to remove the current properties before setting new properties)

--property <key=value>

  Property to add or modify for this QoS specification (repeat option to set multiple properties)

qos-spec

  QoS specification to modify (name or ID)

## volume qos show

Display QoS specification details

    openstack volume qos show <qos-spec>

qos-spec

  QoS specification to display (name or ID)

## volume qos unset

Unset QoS specification properties

    openstack volume qos unset [--property <key>] <qos-spec>

--property <key>

  Property to remove from the QoS specification. (repeat option to unset multiple properties)

qos-spec

  QoS specification to modify (name or ID)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.